Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10406

Description

Maybe I missed something, but I didn't think X11 needed to be installed for QGIS to work on Mac. Didn't see anything about it in the

README.

I just installed QGIS 0.8prev2 on a [[MiniMac]] PPC and when double clicking on the Qgis icon it activates but then nothing happens.

(no "Titan" splash screen)

Once I installed X11 on the system it started ok.

Also in the OSX readme file says it will work with GRASS 6.1.x, this should be updated to "GRASS 6.1 or newer" (there are now 6.2.x

release and and 6.3-cvs devel branches)

Hamish

History

#1 - 2006-11-17 09:47 PM - Gary Sherman

It appears one of the libraries depends on libSM:

dyld: Library not loaded: /usr/X11R6/lib/libSM.6.dylib

  Referenced from: /Users/hobu/Desktop/qgis-0.8.0pre2/qgis.app/Contents/MacOS/./qgis

  Reason: image not found

We need to determine if X11 is a requirement for QGIS on OS X, otherwise remove the dependency on libSM.

#2 - 2006-12-19 09:13 PM - Tom Elwertowski

- Resolution set to fixed

- Status changed from Open to Closed

The libgif included with qgis-0.8.0pre2 required X11. It has been rebuilt --without-x for the next release.

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
